<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbPaymentItemTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_payment_item', function(Blueprint $table)
		{
			$table->foreign('invoice_id', 'fk_pi_inv')->references('id')->on('ab_invoice')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('payment_id', 'fk_pi_pay')->references('id')->on('ab_payment')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_payment_item', function(Blueprint $table)
		{
			$table->dropForeign('fk_pi_inv');
			$table->dropForeign('fk_pi_pay');
		});
	}

}
